## visad.data.in
Class Condition

    java.lang.Object
      visad.data.in.Condition

Direct Known Subclasses:
  AndCondition, MathTypeCondition, NotCondition, OrCondition

public abstract class Condition
extends Object

Provides support for applying arbitrary conditions to VisAD data objects. This class supports data filters like `Selector`.

Instances are immutable.

Field Summary
`static Condition` `TRIVIAL_CONDITION` The trivial condition.

Constructor Summary
`Condition()`

Method Summary
`abstract boolean` `isSatisfied(DataImpl data)` Indicates if a VisAD data object satisfies this condition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRIVIAL_CONDITION

    public static Condition TRIVIAL_CONDITION

  The trivial condition. The `isSatisfied(visad.DataImpl)` method of this condition always returns `true`.

Constructor Detail

### Condition

    public Condition()

Method Detail

### isSatisfied

    public abstract boolean isSatisfied(DataImpl data)

  Indicates if a VisAD data object satisfies this condition.

  Parameters:
    `data` - A VisAD data object.
  Returns:
    `true` if and only if the VisAD data object satisfies this instance's condition.